package com.jeeplus.business.project.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@TableName("jy_project_record")
public class JyProject extends BaseEntity implements Serializable {
    //项目编号（字典值）
    public static final String BIZ_CODE = "36";


    /**
     * 项目名称
     */
    private String name;

    /**
     * 项目编号
     */
    private String no;

    /**
     * 合同id
     */
    private String contractId;

    /**
     * 登记状态
     */
    private String status;

    /**
     * 一审状态
     */
    private String firstInstanceStatus;

    /**
     * 二审状态
     */
    private String secondInstanceStatus;

    /**
     * 三审状态
     */
    private String thirdInstanceStatus;

    /**
     * 报告签发
     */
    private String reportIssuance;

    /**
     * 外审
     */
    private String outIssuance;

    /**
     * 报批签发
     */
    private String reportSubmit;

    /**
     * 归档状态
     */
    private String reviewStatus;

    /**
     * 合同情况(1:有合同  0:无合同)
     */
    private String contractStatus;

    /**
     * 项目所在地
     */
    private String projectPlace;

    /**
     * 建设地点
     */
    private String buildPlace;

    /**
     * 工程概况
     */
    private String projectOverview;

    /**
     * 特殊要求
     */
    private String special;


    /*
    流程id
     */
    private String procInsId;
    private String processDefinitionId;

    /**
     * 关联合同下的项目排序
     */
    private String contractProjectNo;

    /**
     * 合同名称
     */
    private String contractName;

    /**
     * 委托方
     */
    private String client;

    /**
     * 委托方名称
     */
    private String clientName;

    /**
     * 项目负责人
     */
    private String projectLeader;
    /**
     * 创建时间
     */
    @TableField(exist = false)
    private String[] createDates;

    /**
     * 创建人id
     */
    @TableField(exist = false)
    private String createBy;

    /**
     * 项目登记  taskId
     */
    @TableField(exist = false)
    private String taskId;

    /**
     * 数据审核人  项目登记
     */
    @TableField(exist = false)
    private List<String> auditUserIds;

    /**
     * 著委托方
     */
    @TableField(exist = false)
    private String primaryLinkman;

    /**
     * 合同参数
     */
    @TableField(exist = false)
    private String contractAmount;
    @TableField(exist = false)
    private String contractType;
    @TableField(exist = false)
    private String contractTypeFirst;





}
